org.jbpm.runtime.manager.impl.mapper

## Class JPAMapper

- java.lang.Object
- - org.jbpm.runtime.manager.impl.mapper.InternalMapper
  - - org.jbpm.runtime.manager.impl.mapper.JPAMapper

- All Implemented Interfaces:
    org.kie.internal.runtime.manager.Mapper

      public class JPAMapper
      extends InternalMapper

  Database based mapper implementation backed by JPA to store the context to `KieSession` id mapping. It uses the `ContextMappingInfo` entity for persistence.
  See Also:
    `ContextMappingInfo`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAMapper(javax.persistence.EntityManagerFactory emf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ContextMappingInfo` | `findContextByContextId(org.kie.api.runtime.manager.Context context, String ownerId, javax.persistence.EntityManager em)`
    `Object` | `findContextId(Long ksessionId, String ownerId)`
    `List<String>` | `findContextIdForEvent(String eventType, String ownerId)`
    `List<Long>` | `findKSessionToInit(String ownerId)`
    `Long` | `findMapping(org.kie.api.runtime.manager.Context context, String ownerId)`
    `org.kie.api.runtime.manager.Context` | `getProcessInstanceByCorrelationKey(org.kie.internal.process.CorrelationKey correlationKey, javax.persistence.EntityManager em)`
    `void` | `removeMapping(org.kie.api.runtime.manager.Context context, String ownerId)`
    `protected org.kie.api.runtime.manager.Context` | `resolveContext(org.kie.api.runtime.manager.Context orig, javax.persistence.EntityManager em)`
    `void` | `saveMapping(org.kie.api.runtime.manager.Context context, Long ksessionId, String ownerId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JPAMapper

          public JPAMapper(javax.persistence.EntityManagerFactory emf)

  - ### Method Detail

    - #### saveMapping

          public void saveMapping(org.kie.api.runtime.manager.Context context,
                         Long ksessionId,
                         String ownerId)

    - #### findMapping

          public Long findMapping(org.kie.api.runtime.manager.Context context,
                         String ownerId)

    - #### removeMapping

          public void removeMapping(org.kie.api.runtime.manager.Context context,
                           String ownerId)

    - #### resolveContext

          protected org.kie.api.runtime.manager.Context resolveContext(org.kie.api.runtime.manager.Context orig,
                                                           javax.persistence.EntityManager em)

    - #### findContextByContextId

          protected ContextMappingInfo findContextByContextId(org.kie.api.runtime.manager.Context context,
                                                  String ownerId,
                                                  javax.persistence.EntityManager em)

    - #### getProcessInstanceByCorrelationKey

          public org.kie.api.runtime.manager.Context getProcessInstanceByCorrelationKey(org.kie.internal.process.CorrelationKey correlationKey,
                                                                               javax.persistence.EntityManager em)

    - #### findContextId

          public Object findContextId(Long ksessionId,
                             String ownerId)

    - #### findKSessionToInit

          public List<Long> findKSessionToInit(String ownerId)

    - #### findContextIdForEvent

          public List<String> findContextIdForEvent(String eventType,
                                           String ownerId)

      Specified by:
        `findContextIdForEvent` in class `InternalMapper`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.